.legal-person
    ValidationObserver(v-slot="{ valid, errors }")
        b-row.mt-4.justify-content-center
            b-col(cols="12" col md="10" lg="10")
                .l-subtitle.mb-4 Completa la información
                b-row
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Razón social*
                        ValidationProvider(name="Nombre" v-slot="{ errors }" rules="required")
                            b-form-input(
                                v-model="name"
                                autocomplete="off"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | País de domicilio social *
                        ValidationProvider(name="País de domicilio social" v-slot="{ errors }" rules="required")
                            multiselect(
                                v-model="country",
                                :searchable="true"
                                :options="countries",
                                :close-on-select="true",
                                :show-labels="false"
                                placeholder="Selecciona un país"
                                track-by="key"
                                label="name"
                            )
                                template(slot="option" slot-scope="{ option }")
                                    span {{ option.name }}
                                template(slot="singleLabel" slot-scope="{ option }")
                                    span {{ option.name }}
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Fecha de constitución *
                        ValidationProvider(name="Fecha de constitución" v-slot="{ errors }" rules="required")
                            b-form-datepicker(
                                id="example-datepicker"
                                v-model="birthdate"
                                :max="new Date()"
                                :date-format-options="{ year: 'numeric', month: 'numeric', day: 'numeric' }"
                                placeholder="Fecha de constitución"
                                locale="es"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Correo electrónico *
                        ValidationProvider(name="Email" v-slot="{ errors }" rules="required|email")
                            b-form-input(
                                v-model="email"
                                autocomplete="off"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="1")
                        label.form__label.text-nowrap
                            | Prefijo *
                        ValidationProvider(name="Prefijo" v-slot="{ errors }" rules="required")
                            b-form-input(
                                v-model="prefix"
                                autocomplete="off"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="3")
                        label.form__label
                            | Teléfono *
                        ValidationProvider(name="Teléfono" v-slot="{ errors }" rules="required|min:3")
                            b-form-input(
                                v-model="mobile_phone"
                                autocomplete="off"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | NIF *
                        ValidationProvider(name="NIF" v-slot="{ errors }" :rules="`${nationality && nationality.key === 'ES' ? 'required|cif' : 'required'}`")
                            b-form-input(
                                v-model="document_number"
                                autocomplete="off"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Fecha de validez
                        ValidationProvider(name="Fecha de validez" v-slot="{ errors }" :rules="`${is_document_permanent ? '' : 'required'}`")
                            b-form-datepicker(
                                :disabled="is_document_permanent"
                                v-model="document_date"
                                :min="new Date()"
                                :date-format-options="{ year: 'numeric', month: 'numeric', day: 'numeric' }"
                                placeholder="Fecha de validez"
                                locale="es"
                            )
                            .form__error {{ errors[0] }}
                    b-col(cols="12" col md="6" lg="4")
                        label.form__label
                            | Documento sin fecha de validez
                        b-form-checkbox.mb-4(
                            :value="true"
                            :unchecked-value="false"
                            name="is_document_permanent"
                            v-model="is_document_permanent"
                            @change="handleDocumentPermanent($event)"
                        )
                    b-col(cols="12")
                        label.form__label
                            | ¿Cómo prefieres que comuniquemos contigo? *
                        ValidationProvider(name="Forma de contacto" v-slot="{ errors }" rules="required")
                            b-form-group
                                b-form-radio-group(
                                    id="radio-group-1"
                                    v-model="contact_type"
                                    :options="options"
                                    name="radio-options"
                                )
                            .form__error {{ errors[0] }}

                .d-flex.justify-content-end
                    b-button.mt-5.e-btn.e-btn__brand.e-btn--sm-block(
                        :class="!valid ? 'disabled' : ''"
                        @click="handleNext(valid)"
                    ) Continuar
